Core - Bug # 52636

Status: Resolved Priority: Should have
Author: Timo Webler Category: Workspaces
Created: 2013-10-09 Assigned To:

Updated: 2013-10-11 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Workspace: Moved records are deleted if source page is deleted.

Description

Move a record from page A to page B and delete page A. After publish deletion of page A, moved record is also deleted.

Expected: Record were moved to page B

Test case:

- Select a workspace

Move record from page A to page B
- Delete page A

Publish deletion of page A

Related issues:
related to Core - Bug # 39383: Cannot delete record moved in draft Under Review 2012-07-30

Associated revisions

Revision 3d5e8ef3 - 2013-10-11 16:52 - Timo Webler

[BUGFIX] Copy records to target page before origin page is deleted

When a deletion of a page is published, all moved records

have to be copied to their new location before they get deleted.

Resolves: #52636

Releases: 6.2, 6.1, 6.0

Change-Id: Ide471b4f25c0350a1df57af3d92283310a76cac9
Reviewed-on: https://review.typo3.org/24513

Reviewed-by: Sascha Egerer

Tested-by: Sascha Egerer

Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

Revision e30b70bd - 2013-10-11 16:53 - Timo Webler

[BUGFIX] Copy records to target page before origin page is deleted

When a deletion of a page is published, all moved records
have to be copied to their new location before they get deleted.
https://review.typo3.org/24513

Resolves: #52636

Releases: 6.2, 6.1, 6.0

Change-Id: Ide471b4f25c0350a1df57af3d92283310a76cac9
Reviewed-on: https:/review.typo3.org/24585

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision f4e1b0e0 - 2013-10-11 16:54 - Timo Webler

[BUGFIX] Copy records to target page before origin page is deleted

When a deletion of a page is published, all moved records
have to be copied to their new location before they get deleted.

Resolves: #52636

Releases: 6.2, 6.1, 6.0

Change-Id: Ide471b4f25c0350a1df57af3d92283310a76cac9
Reviewed-on: https://review.typo3.org/24584

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 88cc508c - 2013-10-16 19:16 - Sascha Egerer

[BUGFIX] Follow-Up: Fatal error due to missing use statement

A fatal error occurs in the DataHandler.php due to a missing
use statement that was forgotten in the backport.

Related: #52636

Releases: 6.1

Change-Id: 16f893e56f86f3ade6e685efb7c40b73fa28c1840
Reviewed-on: https://review.typo3.org/24828

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2013-10-10 09:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24513

#2 - 2013-10-11 11:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24513
#3 - 2013-10-11 16:51 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24513

#4 - 2013-10-11 16:53 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/24584

#5 - 2013-10-11 16:53 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/24585

#6 - 2013-10-11 17:30 - Timo Webler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f4e1b0e0f32dbfb5d451eddeadcacde113c24244.
